Skip to main content

Sync the protection status of discovery assets​

Update the Commvault Protection Status for Discovered Cloud Resources

Request Body
  • assetSolrFilterQuery string
  • assets object[]
  • assetId string
  • workloadType CloudServiceType

    Possible values: [NONE, COMPUTE, STORAGE, DATABASE, SECURITY, APPLICATION, KUBERNETES, FILES, AI]

    Classification of Types Cloud Services

  • assetProvider CyberResiliencyCloudConnector

    Possible values: [AZURE, AWS, GCP, M365, AD]

    Default value: AZURE

    Supported Connector Types for Cyber Resilience Cost Assessment Dashboard

  • assetName string
  • discoveryCriteria string
  • assetRegion string
  • assetType int32
  • assetSubType int32
  • isCommvaultProtected boolean
  • provider CyberResiliencyCloudConnector

    Possible values: [AZURE, AWS, GCP, M365, AD]

    Default value: AZURE

    Supported Connector Types for Cyber Resilience Cost Assessment Dashboard

  • cloudConnectionId int32
  • isFieldUpdate boolean

    Flag to indicate if the request is for field update only

  • fieldUpdateName string

    Name of the field to be updated (required if isFieldUpdate is true)

  • fieldUpdateValue string

    Value of the field to be updated (required if isFieldUpdate is true)

Responses

OK


Schema
  • errorCode CyberResilienceErrorCode

    Possible values: [NO_ERROR, INVALID_INPUT, INDEX_SERVER_NOT_EXIST, INDEX_SERVER_INACCESSIBLE, INDEX_SERVER_DATA_ANALYTICS_ROLE_MISSING, CREDENTIAL_UNSUPPORTED, CREDENTIAL_INACCESSIBLE, CYBER_RESILIENCE_ALREADY_CONFIGURED, CYBER_RESILIENCE_NOT_CONFIGURED, DELETING_UNCONFIGURED_CREDENTIAL, ADDING_CONFIGURED_CREDENTIAL, UNKNOWN_ERROR, INTERNAL_SERVER_ERROR, CREDENTIAL_INVALID]

  • errorMessage string
Loading...